package tutorialMiniCrm.server.tutorialMiniCrm.services.process;

import java.util.HashMap;

import org.eclipse.scout.commons.CollectionUtility;
import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.service.AbstractService;

import tutorialMiniCrm.shared.tutorialMiniCrm.services.process.ITipOfTheDayProcessService;
import forta.cf.tips.SyndicateServiceLocator;

public class TipOfTheDayProcessService extends AbstractService implements ITipOfTheDayProcessService{

  public String getTipOfTheDay() throws ProcessingException{
    SyndicateServiceLocator request = new SyndicateServiceLocator();
    try{
      HashMap browse=request.getSyndicateCfc().browse(0);
      return (String)browse.get("BODY");
    }
    catch(Exception e){
      throw new ProcessingException("error consuming TipOfTheDayProcessService");
    }
  }
}
