package tutorialMiniCrm.shared.tutorialMiniCrm.services.process;

import org.eclipse.scout.service.IService;
import tutorialMiniCrm.shared.tutorialMiniCrm.services.process.PersonFormData;
import org.eclipse.scout.commons.exception.ProcessingException;

public interface IPersonProcessService extends IService{

  PersonFormData prepareCreate(PersonFormData formData) throws ProcessingException;

  PersonFormData create(PersonFormData formData) throws ProcessingException;

  PersonFormData load(PersonFormData formData) throws ProcessingException;

  PersonFormData store(PersonFormData formData) throws ProcessingException;

  public void delete(Integer[] personNr) throws ProcessingException;
}
